%global npm_name braces
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.3.2
Release: %mkrel 7
Summary: Bash-like brace expansion, implemented in JavaScript
License: MIT
Group: Development/Other
URL: https://github.com/micromatch/braces
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(arr-flatten)
Requires: npm(array-unique)
Requires: npm(extend-shallow)
Requires: npm(fill-range)
Requires: npm(isobject)
Requires: npm(repeat-element)
Requires: npm(snapdragon)
Requires: npm(snapdragon-node)
Requires: npm(split-string)
Requires: npm(to-regex)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep split-string ">=5.0.0"
%nodejs_fixdep extend-shallow ">=3.0.0"
%nodejs_fixdep fill-range ">=5.0.0"
%nodejs_fixdep snapdragon ">=0.12.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.3.2-7.mga9
+ Revision: 1820033
- Mageia 9 Mass Rebuild

* Fri May 15 2020 joequant <joequant> 2.3.2-6.mga8
+ Revision: 1584151
- recompute deps

* Sun Feb 16 2020 umeabot <umeabot> 2.3.2-5.mga8
+ Revision: 1536320
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.3.2-4.mga8
+ Revision: 1280170
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 2.3.2-3.mga7
+ Revision: 1227316
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 2.3.2-2.mga7
+ Revision: 1225542
- Fix Requires

* Thu May 03 2018 kekepower <kekepower> 2.3.2-1.mga7
+ Revision: 1225174
- imported package nodejs-braces

